/**
 * Copyright 2016 Rice University
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 *  the License. You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software distributed under the License is distributed
 *  on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for
 *  the specific language governing permissions and limitations under the License.
 */
part of controllers;

/**
 * An IDE component for file navigation.
 */
abstract class ProjectExplorerController extends Controller
{
  /**
   * Fired when the user selects a file from the explorer.
   */
  Stream<String> get onFileSelected;

  /**
   * Adds the given file to the explorer.
   */
  void addFile(String filename);
}